Bug 1431167 - Every Qt-based application grab mouse input without a release
Every Qt-based application grab mouse input without a release
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutter-wayland (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-10 09:10 EST by Ben Aceler
Modified: 2017-12-12 05:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:49:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Aceler 2017-03-10 09:10:24 EST
Description of problem:
Every qt-based application, like Clementine or Mixxx disables mouse input for any other application. This happens only in wayland session, X session works just fine.

How reproducible:
Always.

Steps to Reproduce:
1. Login into Gnome3 wayland session, launch some app, like Nautilus or Firefox — Wayland or X based.
2. Launch a qt-based app, for example, Clementine.
3. Switch to previously opened application using Alt+Tab.

Actual results:
The keyborad input will be passed to the application, but mouse input still stuck with the previous Qt-based app.
Comment 1 Couret Charles-Antoine 2017-03-27 11:33:10 EDT
Same issue with qt-creator application for example.
My workaround is to switch to TTY3 and go back to GNOME.
Comment 2 Fedora End Of Life 2017-11-16 14:48:57 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:49:13 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.